Name: compiz
Version: 0.7.4
Release: alt1.M41.1

Summary: OpenGL window and compositing manager
License: MIT/X11 GPL
Group: System/X11

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Url: http://www.compiz-fusion.org/
Source0: http://releases.compiz-fusion.org/compiz/%version/%name-%version.tar.bz2
Source1: altlinux.png

Patch1: compiz-0.6.2-alt-tfp-server-extension.patch
Patch2: compiz-0.3.6-kde-mem-leak.patch
Patch3: compiz-0.7.4-alt-cube.patch

# Automatically added by buildreq on Mon Apr 09 2007
BuildRequires: GConf gcc-c++ intltool kdebase-devel libGConf-devel libXcomposite-devel
BuildRequires: libXinerama-devel libXrandr-devel libgtk+2-devel libdbus-glib-devel
BuildRequires: libdbus-qt-devel libmesa-devel librsvg-devel libwnck-devel
BuildRequires: libxslt-devel perl-XML-Parser xsltproc libstartup-notification-devel

%description
Compiz is an OpenGL compositing manager that use GLX_EXT_texture_from_pixmap
for binding redirected top-level windows to texture objects. It has a flexible
plug-in system and it is designed to run well on most graphics hardware.

%package gtk
Summary: Gtk Compiz window decorator
Group: Graphical desktop/GNOME
Requires: %name = %version-%release
Requires: compizconfig-backend-gconf >= %version
Obsoletes: %name-gnome < %version-%release

%description gtk
Compiz window decorator for Gtk

%package kde
Summary: KDE Compiz window decorator
Group: Graphical desktop/KDE
Requires: %name = %version-%release
Requires: compizconfig-backend-kconfig >= %version
Requires: compiz-manager

%description kde
Compiz window decorator for KDE

%package devel
Summary: Development file for Compiz
Group: Development/C
Requires: %name = %version-%release

%description devel
Development file for Compiz

%prep
%setup -q

%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%autoreconf
%configure \
	--enable-librsvg \
	--disable-gconf \
	--disable-static

%make_build

%install
%make DESTDIR=%buildroot install

install -m644 %SOURCE1 %buildroot%_datadir/%name/

mkdir -p %buildroot%_sysconfdir/X11/wmsession.d
cat > %buildroot%_sysconfdir/X11/wmsession.d/30Compiz <<EOF
NAME=Compiz
ICON=/usr/share/icons/default.kde/64x64/apps/kmenu.png
DESC=Compiz manager
EXEC=/usr/bin/startcompiz
SCRIPT:
exec /usr/bin/startcompiz
EOF

cat > %buildroot%_bindir/startcompiz <<EOF
#/bin/sh

export KDEWM="/usr/bin/compiz-manager"
/usr/bin/startkde
EOF

%find_lang %name

%post -p %post_ldconfig

%postun -p %postun_ldconfig

%post kde
%update_wms

%postun kde
%clean_wms

%files -f %name.lang
%doc AUTHORS COPYING COPYING.GPL COPYING.MIT README TODO NEWS
%_bindir/%name
%dir %_libdir/%name
%_libdir/*.so.*
%exclude %_libdir/%name/libkconfig.so
%_libdir/%name/lib*.so
%_datadir/%name

%files gtk
%_bindir/gtk-window-decorator

%files kde
%_sysconfdir/X11/wmsession.d/30Compiz
%attr(0755,root,root)  %_bindir/startcompiz
%_bindir/kde-window-decorator
%_libdir/%name/libkconfig.so
%_datadir/config/*
%_datadir/config.kcfg/%name-*

%files devel
%_includedir/compiz
%_libdir/*.so
%_pkgconfigdir/*.pc

%changelog
* Wed Oct 29 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.7.4-alt1.M41.1
- added altlinux logo

* Fri Apr 04 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.7.4-alt1
- 0.7.4

* Fri Mar 07 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.7.2-alt1
- 0.7.2

* Fri Feb 08 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.7.0-alt1
- 0.7.0

* Wed Jan 16 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.6.2-alt5.20080116
- git snapshot 2008-01-16 (256728b9de329bcdbed6d665589082ad8f3bc7e2)

* Tue Nov 27 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.6.2-alt5
- fix for buffer overflow in strncat

* Tue Nov 27 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.6.2-alt4
- added %_sysconfdir/X11/wmsession.d/30Compiz to %name-kde

* Wed Nov 14 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.6.2-alt3
- CVE-2007-3920

* Sat Oct 27 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.6.2-alt2
- drop compiz-0.5.2-aiglx-defaults.patch: use option "--indirect-rendering"
- rewrite tfp-server-extension patch

* Sun Oct 21 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.6.2-alt1
- 0.6.2

* Mon Oct 15 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.6.0-alt1
- 0.6.0

* Tue Sep 11 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.5.4-alt1
- 0.5.4

* Fri Aug 31 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.5.2-alt2
- disable GConf
- updated build dependencies

* Fri Aug 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.5.2-alt1
- 0.5.2

* Mon Apr 09 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.5.0-alt1
- 0.5.0

* Wed Jan 03 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.3.6-alt1
- 0.3.6

* Wed Dec 27 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.3.5-alt1.git20061227
- 0.3.5 2006-12-27 GIT snapshot

* Tue Nov 07 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.3.3-alt3.git20061101
- added compiz-0.3.3-aiglx-defaults.patch,
	compiz-0.3.3-tfp-server-extension.patch

* Tue Nov 07 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.3.3-alt2.git20061101
- rename subpackage %name-gnome to %name-gtk
- new subpackage %name-kde, %name-devel

* Mon Nov 06 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.3.3-alt1.git20061101
- 0.3.3 2006-11-01 GIT snapshot

* Sat Sep 09 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.0.13-alt1.git20060901
- merged RH patches
- added ALT Linux logo for cube plugin

* Fri Sep 08 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.0.13-alt0.git20060901
- 0.0.13 git snapshot 2006-09-01

* Thu May 04 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.0.10-alt0.cvs20060503
- 0.0.10

* Sun Apr 23 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.0.9-alt0.cvs20060420
- CVS snapshot 2006-04-20

* Wed Mar 29 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.0.7-alt1
- initial release

